# GimpUi.PreviewArea

    const GimpUi = imports.gi.GimpUi;

    let previewArea = new GimpUi.PreviewArea({
    });

A general purpose preview widget which caches its pixel data.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.DrawingArea
        - GimpUi.PreviewArea

## Constructors

- GimpUi.PreviewArea.new

## Methods

- GimpUi.PreviewArea.prototype.blend
- GimpUi.PreviewArea.prototype.draw
- GimpUi.PreviewArea.prototype.fill
- GimpUi.PreviewArea.prototype.get_size
- GimpUi.PreviewArea.prototype.mask
- GimpUi.PreviewArea.prototype.menu_popup
- GimpUi.PreviewArea.prototype.reset
- GimpUi.PreviewArea.prototype.set_color_config
- GimpUi.PreviewArea.prototype.set_colormap
- GimpUi.PreviewArea.prototype.set_max_size
- GimpUi.PreviewArea.prototype.set_offsets

## Properties

- check-custom-color1
- check-custom-color2
- check-size
- check-type